svn commit: samba r9615 - in branches/SAMBA_3_0/source/script/tests: .

jerry at samba.org jerry at samba.org
Thu Aug 25 13:53:09 GMT 2005


Author: jerry
Date: 2005-08-25 13:53:09 +0000 (Thu, 25 Aug 2005)
New Revision: 9615

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=9615

Log:
trying a 3 second timeout on smbcontrol
Modified:
   branches/SAMBA_3_0/source/script/tests/functions


Changeset:
Modified: branches/SAMBA_3_0/source/script/tests/functions
===================================================================
--- branches/SAMBA_3_0/source/script/tests/functions	2005-08-25 12:56:00 UTC (rev 9614)
+++ branches/SAMBA_3_0/source/script/tests/functions	2005-08-25 13:53:09 UTC (rev 9615)
@@ -2,13 +2,16 @@
 ## library file for test functions
 ##
 
+
+SMBCONTROL="smbcontrol -t 3"
+
 ##
 ## start/stop smbd daemon
 ##
 check_smbd_running()
 {
 	## the smbcontrol ping will return a 0 on success
-	smbcontrol $CONFIGURATION smbd ping 2>&1 > /dev/null
+	$SMBCONTROL $CONFIGURATION smbd ping 2>&1 > /dev/null
 }
 
 start_smbd()
@@ -19,7 +22,7 @@
 
 	sleep 1
 
-	smbcontrol $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
+	$SMBCONTROL $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
 }
 
 stop_smbd()
@@ -30,7 +33,7 @@
 	## belt and braces; first kill and then send a shutdown message
 
 	kill -TERM $smbd_pid
-	smbcontrol $CONFIGURATION smbd shutdown
+	$SMBCONTROL $CONFIGURATION smbd shutdown
 
 	## check to see if smbd is already running
 	check_smbd_running
@@ -47,7 +50,7 @@
 check_nmbd_running()
 {
 	## the smbcontrol ping will return a 0 on success
-	smbcontrol $CONFIGURATION nmbd ping 2>&1 > /dev/null
+	$SMBCONTROL $CONFIGURATION nmbd ping 2>&1 > /dev/null
 }
 
 start_nmbd()



More information about the samba-cvs mailing list